/*
*  Rubrica
*  file: import_cb.c
*
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "rubrica_type.h"
#include "import.h"
#include "import_cb.h"
#include "import_int.h"


void
on_radio_gnome_toggled (GtkToggleButton *togglebutton, gpointer user_data)
{
  rubrica_import_set(IMPORT_GNOMECARD);

  gtk_widget_set_sensitive(GTK_WIDGET(user_data), TRUE);
}


void
on_radio_kde_toggled (GtkToggleButton *togglebutton, gpointer user_data)
{
  rubrica_import_set(IMPORT_KAB);

  gtk_widget_set_sensitive(GTK_WIDGET(user_data), FALSE);
}

void
on_radio_rubrica_toggled (GtkToggleButton *togglebutton, gpointer user_data)
{
  rubrica_import_set(IMPORT_RUBRICA);

  gtk_widget_set_sensitive(GTK_WIDGET(user_data), TRUE);
}

void
on_radio_csv_toggled (GtkToggleButton *togglebutton, gpointer user_data)
{
  rubrica_import_set(IMPORT_CSV);

  gtk_widget_set_sensitive(GTK_WIDGET(user_data), TRUE);
}

void
on_radio_vcard_toggled (GtkToggleButton *togglebutton, gpointer user_data)
{
  rubrica_import_set(IMPORT_VCARD);

  gtk_widget_set_sensitive(GTK_WIDGET(user_data), TRUE);
}


